curl --request POST \
--url https://api.partoo.co/v2/business/{business_id}/structured_services \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '
{
"service_id": 1,
"price": 12.5,
"description": "<string>"
}
'import requests
url = "https://api.partoo.co/v2/business/{business_id}/structured_services"
payload = {
"service_id": 1,
"price": 12.5,
"description": "<string>"
}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({service_id: 1, price: 12.5, description: '<string>'})
};
fetch('https://api.partoo.co/v2/business/{business_id}/structured_services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"services": [
{
"service_id": 1,
"type": "STRUCTURED_SERVICE_ITEM",
"name": "Climbing Gym",
"price": 50,
"description": "Our climbing gym available for all",
"category_gmb_name": "gcid:climbing_gym"
},
{
"service_id": 2,
"type": "FREE_FORM_SERVICE_ITEM",
"name": "Random Name",
"price": 25.35,
"description": "This is our custom service",
"category_gmb_name": "gcid:climbing_gym"
}
]
}{
"errors": {
"json": {}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Set Google Services for your business
This endpoint allows you to set or update Google Services for your business. When you set a service of type STRUCTURED_SERVICE_ITEM for a category, every category that have this service available will also have it set for them.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Business id.
It may be replaced by c-{code} where code is the store code, which should be unique per organization. This can be used only for ORG_ADMIN, GROUP_MANAGER and BUSINESS_MANAGER users.
Body
A Google Service.
Id of the service (For creation you can get this id by calling get services suggestions endpoint)
1
Price of the service.
12.5
Description of the service.
300Response
OK
List of Business Services.
Show child attributes
Show child attributes
[
{
"service_id": 1,
"type": "STRUCTURED_SERVICE_ITEM",
"name": "Climbing Gym",
"price": 50,
"description": "Our climbing gym available for all",
"category_gmb_name": "gcid:climbing_gym"
},
{
"service_id": 2,
"type": "FREE_FORM_SERVICE_ITEM",
"name": "Random Name",
"price": 25.35,
"description": "This is our custom service",
"category_gmb_name": "gcid:climbing_gym"
}
]
Was this page helpful?